# boost::numeric::ublas::vector_view_traits< VECTOR > Struct Template Reference

Traits class to extract type information from a VECTOR. More...

Inherits container_view_traits< VECTOR >.

Inherited by boost::numeric::ublas::vector_traits< VECTOR >.

List of all members.

## Public Types

typedef VECTOR::const_iterator | const_iterator
| iterator for the VECTOR

## Static Public Member Functions

static const_iterator | begin (const VECTOR &v)
| iterator pointing to the first element
static const_iterator | end (const VECTOR &v)
| iterator pointing behind the last element

## Detailed Description

### template<class VECTOR>
struct boost::numeric::ublas::vector_view_traits< VECTOR >